Skip to main content
GET
Get Order History

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sub_account_address
string
required

Trading vault address (subaccount) to query against.

symbol
null | string
Example:

"BTC-USDCx"

order_id
null | string<uuid>
order_link_id
null | string
order_filter
null | any
order_status
enum<string>[] | null
Available options:
New,
PartiallyFilled,
Untriggered,
CancelRequested,
Rejected,
PartiallyFilledCanceled,
Filled,
Canceled,
Triggered,
Deactivated,
Expired
start_time
string<date-time> | null
end_time
string<date-time> | null
limit
integer<int32> | null
Required range: x >= 0
cursor
string | null

Response

200 - application/json

Orders

Response for order list and order history requests.

list
object[]
required
next_page_cursor
string
required